package com.example.newton2;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class HomeActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_home);

        // init button, launches activity within app
        Button lessonActivityBtn = (Button)findViewById(R.id.lessonsNavBtn);
        lessonActivityBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent lessonIntent = new Intent(getApplicationContext(), LessonActivity.class);
                lessonIntent.putExtra("com.example.newton2", "Hello John Doe, Welcome to your lesson plan");
                startActivity(lessonIntent);
            }
        });

        Button profileActivityBtn = (Button)findViewById(R.id.profileNavBtn);
        profileActivityBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent profileIntent = new Intent(getApplicationContext(), ProfileActivity.class);
                //lessonIntent.putExtra("com.example.newton2", "Hello John Doe, Welcome to your lesson plan");
                startActivity(profileIntent);
            }
        });
    }
}
