package com.example.newton2;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.View;
import android.widget.Button;
import android.widget.ListView;
import android.widget.TextView;

import com.example.newton2.Adapter.CategoryAdapter;
import com.example.newton2.Common.SpaceDecoration;
import com.example.newton2.DBHelper.DBHelper;
//import android.widget.Toolbar;

public class LessonActivity extends AppCompatActivity {
    ListView lessonListView;
    String[] lessons;

    Toolbar toolbar;
    RecyclerView recycler_category;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_lesson);

        toolbar = (Toolbar)findViewById(R.id.toolbar);
        toolbar.setTitle("Newton Quiz");
        setSupportActionBar(toolbar);

        recycler_category = (RecyclerView)findViewById(R.id.recycler_category);
        recycler_category.setHasFixedSize(true);
        recycler_category.setLayoutManager(new GridLayoutManager(this, 2));

        //Retrieve screen height
        /*DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        int height = displayMetrics.heightPixels / 8; //maximum size of item in cat. */
        CategoryAdapter adapter = new CategoryAdapter(LessonActivity.this, DBHelper.getInstance(this).getAllCategories());
        int spaceInPixel = 4;
        recycler_category.addItemDecoration(new SpaceDecoration(spaceInPixel));
        recycler_category.setAdapter(adapter);

        //Resources res = getResources();
        //lessonListView = (ListView) findViewById(R.id.lessonListView);
        //lessons = res.getStringArray(R.array.lessons);

        /*if(getIntent().hasExtra("com.example.newton2")){
            TextView lessonTextView = (TextView) findViewById(R.id.lessonText);
            String text = getIntent().getExtras().getString("com.example.newton2");
            lessonTextView.setText(text);
        }

        Button homeActivityBtn = (Button)findViewById(R.id.homeNavBtn);
        homeActivityBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent homeIntent = new Intent(getApplicationContext(), HomeActivity.class);
                //lessonIntent.putExtra("com.example.newton2", "Hello John Doe, Welcome to your lesson plan");
                startActivity(homeIntent);
                finishAffinity();
            }
        });  */
    }
}
